## libcsoap 1.1.0

=== win32/MinGW/Makefile ===
#  mingw32-make

#---------------------------------------------------------
# LIBXML2
#---------------------------------------------------------
# This should be set as
# mingw32-make LIBXML2_DIR=<path> 
# 
#LIBXML2_DIR=../../../libxml2-2.6.23.win32

#---------------------------------------------------------
# LIBSOAP
#---------------------------------------------------------
LIBSOAP_DIR=../../libcsoap

LIBSOAP_SOURCE=\
 $(LIBSOAP_DIR)/soap-client.c \
 $(LIBSOAP_DIR)/soap-ctx.c \
 $(LIBSOAP_DIR)/soap-env.c \
 $(LIBSOAP_DIR)/soap-fault.c \
 $(LIBSOAP_DIR)/soap-router.c \
 $(LIBSOAP_DIR)/soap-server.c \
 $(LIBSOAP_DIR)/soap-service.c \
 $(LIBSOAP_DIR)/soap-xml.c

LIBSOAP_HEADER = $(addsuffix .c, $(basename $(LIBSOAP_SOURCE)))
LIBSOAP_OBJECTS = $(addsuffix .o, $(basename $(LIBSOAP_SOURCE)))

#---------------------------------------------------------
# NANOHTTP
#---------------------------------------------------------
NANOHTTP_DIR=../../nanohttp

NANOHTTP_SOURCE=\
 $(NANOHTTP_DIR)\nanohttp-base64.c \
 $(NANOHTTP_DIR)\nanohttp-client.c \
 $(NANOHTTP_DIR)\nanohttp-common.c \
 $(NANOHTTP_DIR)\nanohttp-mime.c \
 $(NANOHTTP_DIR)\nanohttp-request.c \
 $(NANOHTTP_DIR)\nanohttp-response.c \
 $(NANOHTTP_DIR)\nanohttp-server.c \
 $(NANOHTTP_DIR)\nanohttp-socket.c \
 $(NANOHTTP_DIR)\nanohttp-ssl.c \
 $(NANOHTTP_DIR)\nanohttp-stream.c
 
NANOHTTP_HEADER = $(addsuffix .h, $(basename $(NANOHTTP_SOURCE)))
NANOHTTP_OBJECTS = $(addsuffix .o, $(basename $(NANOHTTP_SOURCE)))

CC=gcc.exe
AR=ar.exe
INCLUDE=-I. -I../include -I../.. -I$(LIBXML2_DIR)/include -I$(ICONV_DIR)/include


.c.o:
	$(CC) -Wall $(INCLUDE) -DHAVE_CONFIG_H -c $? -o $(addsuffix .o, $(basename $?))

all: nanohttp libsoap simpleclient simpleserver
	echo OK

nanohttp: $(NANOHTTP_OBJECTS)
	$(AR) cru libnanohttp.a $?

libsoap: $(LIBSOAP_OBJECTS)
	$(AR) cru libsoap.a $?

simpleclient: ../../examples/csoap/simpleclient.o
	$(CC) -o simpleclient $? -L$(LIBXML2_DIR)/lib -L. -lsoap -lnanohttp -lxml2 -lws2_32

simpleserver: ../../examples/csoap/simpleserver.o
	$(CC) -o simpleserver $? -L$(LIBXML2_DIR)/lib -L. -lsoap -lnanohttp -lxml2 -lws2_32

## libcsoap 1.1.0-17

=== debian/changelog ===
libcsoap (1.1.0-17) unstable; urgency=low

  * Merge NMU with my own fixes and take over package maintenance.

 -- Russell Coker <russell@coker.com.au>  Sun, 20 Jun 2010 11:24:03 +1000

libcsoap (1.1.0-16.4) unstable; urgency=low

  * Fix the handling of a closed socket with no data to read.
    Closes: #540178

 -- Russell Coker <russell@coker.com.au>  Thu, 06 Aug 2009 22:51:17 +1000

libcsoap (1.1.0-16.3) unstable; urgency=low

  * Fix a bug in the bigger-reads patch that allowed buf_used to become
    negative.
    Closes: #537517

 -- Russell Coker <russell@coker.com.au>  Sun, 19 Jul 2009 13:47:06 +1000

libcsoap (1.1.0-16.2) unstable; urgency=low

  * Use the XPI version of strerror_r() correctly.
    Closes: #533134
  * Merge with NMU from David Paleino.

 -- Russell Coker <russell@coker.com.au>  Sun, 20 Jun 2010 11:24:03 +1000

 libcsoap (1.1.0-16.1) unstable; urgency=low
 
  * Non-maintainer upload.
  * Fix FTBFS: change "automake" Build-Dependency to "automake1.10"
    (Closes: #543083)
  * Don't use strerror() as it's not thread safe.
 
 -- David Paleino <d.paleino@gmail.com>  Fri, 18 Sep 2009 14:11:51 +0200

libcsoap (1.1.0-16) unstable; urgency=low

  * Added write timeout patch.  Thanks Russel Coker. (Closes: #524816)

  * Updated SOAP envelope xsi/xsd year from 1999 to 2001 for xsd:base64Binary.

 -- Rudi Cilibrasi <cilibrar@debian.org>  Fri, 24 Apr 2009 08:23:23 -0700

libcsoap (1.1.0-15) unstable; urgency=low

  * Thanks to Russell Coker for the following four patches:

  * Better SOAP context init. (Closes: #522633)

  * Added gethostbyname_r patch for thread safety. (Closes: #522875)

  * Added timeout to connect. (Closes: #524621)

  * Fixed C++ bug in nanohttp-logging.h. (Closes: #523047)

  * Added static libraries. (Closes: #523270)

 -- Rudi Cilibrasi <cilibrar@debian.org>  Sat, 18 Apr 2009 08:31:17 -0700

libcsoap (1.1.0-14) unstable; urgency=low

  * Patched to read in blocks.  Thanks Russell Coker.  (Closes: #521362)

  * Converted everything to quilt.

 -- Rudi Cilibrasi <cilibrar@debian.org>  Sat, 28 Mar 2009 15:09:40 -0700

libcsoap (1.1.0-13) unstable; urgency=low

  * Added *-dbg packages.

  * Added SSL support ( --with-ssl ).

 -- Rudi Cilibrasi <cilibrar@debian.org>  Mon, 17 Mar 2008 16:42:53 -0700

libcsoap (1.1.0-12) unstable; urgency=low

  * Bumped Standards-Version to 3.7.3.

 -- Rudi Cilibrasi <cilibrar@debian.org>  Fri, 28 Dec 2007 23:07:39 -0800

libcsoap (1.1.0-11) unstable; urgency=low

  * Fixed libnanohttp1 so Depends: does not include libtool. (Closes: #454061)

 -- Rudi Cilibrasi <cilibrar@cilibrar.com>  Sun, 02 Dec 2007 15:06:36 -0800

libcsoap (1.1.0-10) unstable; urgency=low

  * Fixed memleak in nanohttp-request.c. Thanks to Tom Cort. (Closes: #443877)
  * Updated debhelper version and removed ${Source-Version} as per new policy.

 -- Rudi Cilibrasi <cilibrar@cilibrar.com>  Mon, 24 Sep 2007 16:39:24 -0700

libcsoap (1.1.0-9) unstable; urgency=low

  * Added pkg-config to Depends to support autodetection.

 -- Rudi Cilibrasi <cilibrar@cilibrar.com>  Wed,  3 Jan 2007 00:55:09 +0100

libcsoap (1.1.0-8) unstable; urgency=low

  * Fixed copyright file.  Thanks, Joerg!

 -- Rudi Cilibrasi <cilibrar@cilibrar.com>  Mon,  2 Oct 2006 21:45:56 +0200

libcsoap (1.1.0-7) unstable; urgency=low

  * Added dependency for libnanohttp1 for libcsoap1 since its needed.

 -- Rudi Cilibrasi <cilibrar@cilibrar.com>  Sun,  1 Oct 2006 08:54:39 +0200

libcsoap (1.1.0-6) unstable; urgency=low

  * Added specific library-version Depends: for both -dev binary packages.

 -- Rudi Cilibrasi <cilibrar@cilibrar.com>  Wed, 27 Sep 2006 19:18:54 +0200

libcsoap (1.1.0-5) unstable; urgency=low

  * Changed Section: for libnanohttp-dev package.

 -- Rudi Cilibrasi <cilibrar@cilibrar.com>  Sun, 17 Sep 2006 16:26:45 +0200

libcsoap (1.1.0-4) unstable; urgency=low

  * Added Paul van Tilburg to Uploaders field in debian/control.

 -- Rudi Cilibrasi <cilibrar@cilibrar.com>  Wed, 13 Sep 2006 14:35:26 +0200

libcsoap (1.1.0-3) unstable; urgency=low

  * Removed extra docs.

 -- Rudi Cilibrasi <cilibrar@cilibrar.com>  Wed, 13 Sep 2006 14:35:26 +0200

libcsoap (1.1.0-2) unstable; urgency=low

  * Adjusted libcsoap.pc.in to be correct for new Debian packaging.

 -- Rudi Cilibrasi <cilibrar@cilibrar.com>  Mon, 11 Sep 2006 15:37:14 +0200

libcsoap (1.1.0-1) unstable; urgency=low

  * New upstream version.
  * Added examples.
  * Made small packaging fixes.

 -- Rudi Cilibrasi <cilibrar@cilibrar.com>  Mon, 11 Sep 2006 10:23:10 +0200

libcsoap (1.0.4-1) unstable; urgency=low

  * Initial release of libcsoap package of CSOAP library. (Closes: #379048)
    downloaded from http://csoap.sourceforge.net/ and used in CompLearn at
    http://complearn.org/ .  This upload will be sponsored by
    Paul van Tilburg and has benefitted from his guidance.

 -- Rudi Cilibrasi <cilibrar@cilibrar.com>  Mon,  5 Jun 2006 04:43:48 +0200

=== debian/control ===
Source: libcsoap
Priority: optional
Maintainer: Russell Coker <russell@coker.com.au>
Build-Depends: debhelper (>= 5.0.0), autoconf, automake1.10, autotools-dev, libtool, libxml2-dev, libssl-dev, cdbs, quilt (>= 0.40)
Standards-Version: 3.8.1
Section: libs

Package: libcsoap-dev
Section: libdevel
Architecture: any
Depends: libcsoap1, pkg-config, ${misc:Depends}
Description: development header files for CSOAP library
 This package contains files needed to compile libcsoap applications.

Package: libnanohttp-dev
Section: libdevel
Architecture: any
Depends: libnanohttp1, pkg-config, ${misc:Depends}
Description: shared nanohttp header files for SOAP server apps in C
 This project provides a small SOAP server in C

Package: libnanohttp1-dbg
Priority: extra
Section: debug
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libnanohttp1
Description: shared nanohttp library from CSOAP package
 Debug symbols included for this small SOAP server framework library

Package: libcsoap1-dbg
Priority: extra
Section: debug
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libcsoap1
Description: shared CSOAP library for SOAP client/server in C
 Debug symbols included in this C SOAP library for network programming

Package: libnanohttp1
Priority: optional
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libcsoap1 (<= 1.1.0-13)
Description: shared nanohttp library from CSOAP package
 This project in ANSI C provides a small SOAP server framework

Package: libcsoap1
Priority: optional
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libnanohttp1
Conflicts: libnanohttp1 (<= 1.1.0-13)
Description: shared CSOAP library for SOAP client/server in C
 This project in ANSI C provides a convenient SOAP API for clients and servers

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/patchsys-quilt.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

DEB_AUTO_UPDATE_ACLOCAL = 1.10
DEB_AUTO_UPDATE_LIBTOOL = pre
DEB_AUTO_UPDATE_AUTOMAKE = 1.10 --foreign --add-missing --copy
DEB_AUTO_UPDATE_AUTOCONF = 1.10

DEB_INSTALL_EXAMPLES_libcsoap-dev  = examples/*
DEB_DH_STRIP_ARGS_libcsoap1-dbg := --dbg-package=libcsoap1-dbg
DEB_DH_STRIP_ARGS_libnanohttp1-dbg := --dbg-package=libnanohttp1-dbg
DEB_CONFIGURE_USER_FLAGS := --with-ssl

## libcsoap 1.1.0-17build1

=== debian/changelog ===
libcsoap (1.1.0-17build1) oneiric; urgency=low

  * Rebuild for OpenSSL 1.0.0.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 17 May 2011 10:22:23 +0100

## libcsoap 1.1.0-17.1

=== debian/changelog ===
libcsoap (1.1.0-17.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS with flag -Werror=format-security. (Closes: #643420) 

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sun, 04 Dec 2011 00:08:29 +0100
